> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update status of weigh hours



## OpenAPI

````yaml /api-reference/openapi.json post /hours/by-day/weigh
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /hours/by-day/weigh:
    post:
      tags:
        - Hours
      summary: Update status of weigh hours
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - task_log_id
                - start
              properties:
                task_log_id:
                  type: integer
                  description: Task ID
                start:
                  type: string
                  format: date-time
                  description: Start Timestamp
      responses:
        '200':
          description: Status updated successfully
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````